import { UiGridLayoutConfig } from "../../generated/UiGridLayoutConfig";
import { UiComponent } from "../UiComponent";
export declare class UiGridLayout {
    private config;
    private uuid;
    constructor(config: UiGridLayoutConfig);
    applyTo($container: HTMLElement): void;
    private createContainerStyles;
    private placeComponents;
    private createPlacementStyles;
    private createStylesCssString;
    private isSimplePlacement;
    private isFloatingPlacement;
    getAllComponents(): UiComponent[];
}
